program ExcelLibTest;

{$APPTYPE CONSOLE}

uses
  SysUtils, Graphics,
  ExcelLib in 'ExcelLib.pas';

var
  Document: TExcelDocument;
  CellInfo: TCellInfo;
  I: Integer;
begin
  try
    Document := TExcelDocument.Create;

    try
      Document.UserName := 'yypbd';

      Document.SetColumnWidth( 0, 120 );
      Document.SetColumnWidth( 1, 80 );
      Document.SetColumnWidth( 2, 200 );

      CellInfo := Document.GetCellInfo( 0, 0 );
      CellInfo.Value := 'ExcelLib Test';
      CellInfo.Font.FontName := 'Tahoma';
      CellInfo.Font.FontSize := 20;
      CellInfo.Font.FontColor := COLOR_TEAL;
      CellInfo.Font.FontStyle := [fsBold, fsItalic, fsUnderline, fsStrikeOut];
      CellInfo.Alignment := xCentered;
      CellInfo.BackColor := COLOR_RED;

      CellInfo := Document.GetCellInfo( 0, 1 );
      CellInfo.Value := '';
      CellInfo.Font.FontName := '';
      CellInfo.Font.FontSize := 20;
      CellInfo.Font.FontColor := COLOR_TEAL;
      CellInfo.Font.FontStyle := [fsBold, fsItalic, fsUnderline, fsStrikeOut];
      CellInfo.Alignment := xCentered;
      CellInfo.BackColor := COLOR_BLUE;

      CellInfo := Document.GetCellInfo( 0, 2 );
      CellInfo.Value := '¥';
      CellInfo.Font.FontName := ' ';
      CellInfo.Font.FontSize := 20;
      CellInfo.Font.FontColor := COLOR_BLACK;
      CellInfo.Font.FontStyle := [fsBold, fsItalic, fsUnderline, fsStrikeOut];
      CellInfo.Alignment := xCentered;
      CellInfo.BackColor := COLOR_YELLOW;

      for I := 1 to 1000 - 1 do
      begin
        CellInfo := Document.GetCellInfo( I, 0 );
        CellInfo.Value := 'ٶ󸶹ٻ' + IntToStr( I );

        CellInfo := Document.GetCellInfo( I, 1 );
        CellInfo.Value := 10.10;

        CellInfo := Document.GetCellInfo( I, 2 );
        CellInfo.Value := Now + I;
        CellInfo.Format := 'yyyy-mm-dd';
      end;

      Document.SaveToFile( IncludeTrailingPathDelimiter(ExtractFilePath(ParamStr(0))) +  'test.xls' );
    finally
      Document.Free;
    end;
  except
    on E: Exception do
      Writeln(E.ClassName, ': ', E.Message);
  end;
end.
